> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer



## OpenAPI

````yaml GET /api/v1/customers/{customer_id}
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/customers/{customer_id}:
    get:
      tags:
        - customers
      summary: Get Customer
      operationId: get_customer_api_v1_customers__customer_id__get
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            title: Customer Id
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerDetailResponse:
      properties:
        customer:
          $ref: '#/components/schemas/CustomerResponse'
        subscriptions:
          items:
            $ref: '#/components/schemas/CustomerSubscriptionResponse'
          type: array
          title: Subscriptions
        invoices:
          items:
            $ref: '#/components/schemas/CustomerInvoiceResponse'
          type: array
          title: Invoices
      type: object
      required:
        - customer
        - subscriptions
        - invoices
      title: CustomerDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        nomba_customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Nomba Customer Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - email
        - name
        - nomba_customer_id
        - created_at
      title: CustomerResponse
    CustomerSubscriptionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        plan_name:
          type: string
          title: Plan Name
        status:
          type: string
          title: Status
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        interval:
          type: string
          title: Interval
        current_period_start:
          type: string
          format: date-time
          title: Current Period Start
        current_period_end:
          type: string
          format: date-time
          title: Current Period End
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
      type: object
      required:
        - id
        - plan_name
        - status
        - amount
        - currency
        - interval
        - current_period_start
        - current_period_end
        - cancelled_at
      title: CustomerSubscriptionResponse
    CustomerInvoiceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        due_date:
          type: string
          format: date-time
          title: Due Date
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
      type: object
      required:
        - id
        - amount
        - currency
        - status
        - due_date
        - paid_at
      title: CustomerInvoiceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````